Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.layer
Interface Style

    @XmlElement(value="Style")
    public interface Style

Encapsulates the information necessary to style the renderable data for a given `Layer`.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.3

Method Summary
`InternationalString` | `getAbstract()` Provides the narrative description of this `Style`.
`List<FeatureStyle>` | `getFeatureStyles()` Gets the `FeatureStyle`s used to style the `FeatureLayer`s used by a `Layer` using this `Style`.
`List<GraphicStyle>` | `getGraphicStyles()` Gets the `GraphicStyle`s used to style the `Graphic`s used by a `Layer` using this `Style`.
`List<LegendURL>` | `getLegendURLs()` Provides the linkage to an image of a map legend appropriate to this `Style`.
`String` | `getName()` Provides a unique name for identifying this `Style`.
`StyleSheetURL` | `getStyleSheetURL()` Provides the linkage to symbology information for this `Style`.
`StyleURL` | `getStyleURL()` Provides the linkage to more information about the data or symbology underlying this `Style`.
`InternationalString` | `getTitle()` Provides the human-readable string for presenting this `Style`.

Method Detail

### getName

    @XmlElement(value="Name")
    String getName()

  Provides a unique name for identifying this `Style`.

  Returns:
    this `Style`'s name.

### getTitle

    @XmlElement(value="Title")
    InternationalString getTitle()

  Provides the human-readable string for presenting this `Style`.

  Returns:
    this `Style`'s title.

### getAbstract

    @XmlElement(value="Abstract")
    InternationalString getAbstract()

  Provides the narrative description of this `Style`.

  Returns:
    this `Style`'s narrative description.

### getLegendURLs

    @XmlElement(value="LegendURL")
    List<LegendURL> getLegendURLs()

  Provides the linkage to an image of a map legend appropriate to this `Style`.

  Returns:
    the linkage to this `Style`'s map legend image.

### getStyleSheetURL

    @XmlElement(value="StyleSheetURL")
    StyleSheetURL getStyleSheetURL()

  Provides the linkage to symbology information for this `Style`.

  Returns:
    the linkage to this `Style`'s symbology information.

### getStyleURL

    @XmlElement(value="StyleURL")
    StyleURL getStyleURL()

  Provides the linkage to more information about the data or symbology underlying this `Style`.

  Returns:
    the linkage to more info about this `Style`'s data or symbology.

### getFeatureStyles

    @Extension
    List<FeatureStyle> getFeatureStyles()

  Gets the `FeatureStyle`s used to style the `FeatureLayer`s used by a `Layer` using this `Style`. The returned `List` (if modifiable) should NOT be live, and modifying it should not affect this `Style`'s set of `FeatureStyle`s.

  Returns:
    this `Style`'s `FeatureStyle`s.

### getGraphicStyles

    @Extension
    List<GraphicStyle> getGraphicStyles()

  Gets the `GraphicStyle`s used to style the `Graphic`s used by a `Layer` using this `Style`. The returned `List` (if modifiable) should NOT be live, and modifying it should not affect this `Style`'s set of `GraphicStyle`s.

  Returns:
    this `Style`'s `GraphicStyle`s.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.